"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.MappingTemplateType = exports.DEFAULT_RESOLVER_TYPE = exports.DEFAULT_HTTP_METHOD = exports.DEFAULT_SCHEMA_FILE = exports.DEFAULT_ENCODING = exports.DEFAULT_MAPPING_TEMPLATE_LOCATION = exports.ServerlessWithAppsync = exports.ServerlessServiceWithAppsync = exports.AppSyncSimulatorCustomDataSourceType = void 0;
const Serverless = require("serverless");
const Service = require("serverless/classes/Service");
var AppSyncSimulatorCustomDataSourceType;
(function (AppSyncSimulatorCustomDataSourceType) {
    AppSyncSimulatorCustomDataSourceType["Http"] = "HTTP";
})(AppSyncSimulatorCustomDataSourceType = exports.AppSyncSimulatorCustomDataSourceType || (exports.AppSyncSimulatorCustomDataSourceType = {}));
const DEFAULT_MAPPING_TEMPLATE_LOCATION = 'mapping-templates';
exports.DEFAULT_MAPPING_TEMPLATE_LOCATION = DEFAULT_MAPPING_TEMPLATE_LOCATION;
const DEFAULT_ENCODING = 'utf8';
exports.DEFAULT_ENCODING = DEFAULT_ENCODING;
const DEFAULT_SCHEMA_FILE = 'schema.graphql';
exports.DEFAULT_SCHEMA_FILE = DEFAULT_SCHEMA_FILE;
const DEFAULT_HTTP_METHOD = 'POST';
exports.DEFAULT_HTTP_METHOD = DEFAULT_HTTP_METHOD;
const DEFAULT_RESOLVER_TYPE = 'UNIT';
exports.DEFAULT_RESOLVER_TYPE = DEFAULT_RESOLVER_TYPE;
const MappingTemplateType = {
    MAPPING_TEMPLATE: 'mappingTemplate',
    FUNCTION_CONFIGURATION: 'functionConfiguration',
};
exports.MappingTemplateType = MappingTemplateType;
class ServerlessServiceWithAppsync extends Service {
}
exports.ServerlessServiceWithAppsync = ServerlessServiceWithAppsync;
class ServerlessWithAppsync extends Serverless {
}
exports.ServerlessWithAppsync = ServerlessWithAppsync;
//# sourceMappingURL=types.js.map